Subject: Re: Multiple user questions

From: Dennis Schridde <[email-masked]>
Date: Sat, 24 May 2008 11:13:54 +0200

Thanks for your answers!

Am Samstag, 24. Mai 2008 03:30:43 schrieb Jakub Narebski:
> Dennis Schridde <[email-masked]> writes:
> > 2) Can I make format-patch include the full commit message, date, author,
> > stats in the patches? (To mimic what git-show would show me.)
> > Will this be sent via send-email, too?
>
> Errr... git-format-patch output _does_ include full commit message,
> author, author date and diffstat.
For me only the first line of the commit message is printed in the subject, 
all other lines are missing.
If I want a message to appear in the body at all, I need a special way to 
format my commit messages: 1 line summary, 1 empty line, description.
Only the description is then shown in the email.
This seems inconvenient, especially for smaller changes.

Further, attachments do not at all contain any information like that.
See the attached example.

> > 4) Can I make format-patch output one deletion and one insertion for a
> > complete rewrite of a function, instead of multiple deletes/inserts?
>
> Try git-format-patch with -B option, or -B<num>.
I tried that already.
Whether I specified -B or not, it always gave the exact same output (says 
diff).

The <num> parameter to -B is not mentioned or explained in the manpages.

5) fsck --full --lost-found shows me a lot of "dangling commit". I would like 
to clean them up. prune did only remove "dangling tree" and blobs.
(Reason: Last time I droped a stash accidently, I was able to find it in that 
list. I will not be able to do this again if it continues to grow at that 
rate.)
How can I do that?
Further fsck --full --unreachable also shows a lot of unreachable things 
(commits, trees, blobs). Can that be cleaned up as well?

Greetings,
Dennis

Again: Please CC me, as I am not subscribed.
diff --git a/src/projectile.c b/src/projectile.c
index 1389d4c..f9ae99a 100644
--- a/src/projectile.c
+++ b/src/projectile.c
@@ -640,8 +640,8 @@ static void proj_InFlightDirectFunc( PROJECTILE *psProj )
 	/* we want a delay between Las-Sats firing and actually hitting in multiPlayer
 	magic number but that's how long the audio countdown message lasts! */
 	const unsigned int LAS_SAT_DELAY = 8;
-	unsigned int timeSoFar;
-	unsigned int distancePercent; /* How far we are 0..100 */
+	int timeSoFar;
+	int distancePercent; /* How far we are 0..100 */
 	float distanceRatio; /* How far we are, 1.0==at target */
 	float distanceExtensionFactor; /* Extended lifespan */
 	Vector3i move;
@@ -909,8 +909,8 @@ static void proj_InFlightIndirectFunc( PROJECTILE *psProj )
 		- Some optimisations by leaving out tests which are never true (homing, AA, counter-missile, lassat)
 	*/
 
-	unsigned int timeSoFar;
-	unsigned int distancePercent; /* How far we are 0..100 */
+	int timeSoFar;
+	int distancePercent; /* How far we are 0..100 */
 	float distanceRatio; /* How far we are, 1.0==at target */
 	float distanceExtensionFactor; /* Extended lifespan */
 	Vector3i move;